<!DOCTYPE html>
<html>
<head>
<meta charset="utf-8">
<title>Add a fullscreen control to a map</title>
<meta name="viewport" content="initial-scale=1,maximum-scale=1,user-scalable=no">
<link href="https://api.mapbox.com/mapbox-gl-js/v2.4.1/mapbox-gl.css" rel="stylesheet">
<script src="https://api.mapbox.com/mapbox-gl-js/v2.4.1/mapbox-gl.js"></script>
<style>
body { margin: 0; padding: 0; }
#map { position: absolute; top: 0; bottom: 0; width: 100%; }
</style>
</head>
<body>
<div id="map"></div>
<script>
	mapboxgl.accessToken = 'pk.eyJ1IjoiZ3JvbWI1NyIsImEiOiJja3NoYWk3bGkxYjhvMnZ0YnRwaTRldmxtIn0.X6RXaWOSfKUbr5vcrqybGg';
    const map = new mapboxgl.Map({
        container: 'map', // container ID
        style: 'mapbox://styles/mapbox/outdoors-v11', // style URL
        center: [11.255, 43.77], // starting position
        zoom: 13 // starting zoom
    });

    map.addControl(new mapboxgl.FullscreenControl());
</script>

</body>
</html>